| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Tools
Tools.AutoDoc
Tools.AutoDoc.PikeParser

# Method Tools.AutoDoc.PikeParser()->readToken()

Method readToken

  `string readToken(int|void with_newlines)`

Description

  Read the next token from the stream and advance.

Parameter `with_newlines`

  If set will return `"\n"` tokens, these will otherwise silently be skipped.

Returns

  Returns the next token.

See also

  peekToken()